Subject: [MMUSIC] Draft new version: BUNDLE-35

From: Christer Holmberg <[email-masked]>
Date: Tue, 25 Oct 2016 10:24:09 +0000

Hi,

I’ve submitted a new version (-35) of BUNDLE.

The text now talks about “associating RTP streams with m- lines” (instead of associating RTP packets).

Regards,

Christer

---

From: Colin Perkins <[email-masked]>
Date: Tue, 25 Oct 2016 17:16:52 +0100

Hi,

> On 25 Oct 2016, at 11:24, Christer Holmberg <[email-masked]> wrote:
> 

I think this new text is good, and addresses most of my concerns. I just have a few details outstanding:

- Section 9.1, last paragraph: I suggest changing “associate a received (S)RTP packet with” to “associate the packets in a received SRTP stream with”.

- Section 10.1, 1st paragraph: The second sentence (“Disjoint BUNDLE groups will form multiple RTP sessions, one per BUNDLE group”) is probably true, but depends on the RTP topology, since a middlebox could bridge the different BUNDLE groups together into a single RTP session. I suggest deleting this sentence. 

- Section 10.2, 1st paragraph: At the end of the first sentence, you might cite RFC7656 for the definition of the term RTP Stream.

- Section 10.2, 7th paragraph: This seems correct, but I found the phrasing unclear. Something like the following might be clearer:

   The mapping from an SSRC to an identification-tag is carried in RTCP
   SDES packets or in RTP header extensions, as described in Section 14.
   Since a compound RTCP packet can contain multiple RTCP SDES packets, 
   and each RTCP SDES packet can contain multiple chunks, an RTCP packet
   can contain several SSRC to identification-tag mappings. The offerer
   and answerer maintain tables mapping RTP streams identified by SSRC,
   to “m=“ lines identified by the identification-tag. These tables are
   updated each time an RTP/RTCP packet containing one or more mappings 
   from SSRC to identification-tag is received. Note that the mapping 
   from SSRC to identification-tag can change at any time during an RTP 
   session.

- Section 10.2, 8th paragraph: The last sentence might be clearer written “Note that RTCP packets can report on multiple RTP streams”. Also, the XML formatting is messed up in the middle of the paragraph.

- Section 14, 3rd paragraph: Suggest changing “…to associate received RTCP- and RTP packets with…“ to “…to associated each RTP stream with…”.

Colin

-- 
Colin Perkins
https://csperkins.org/